#!/bin/sh

#########################################################################
#
# (C) Copyright IBM Corporation 2001
# Unpublished Work
# All Rights Reserved
# Licensed Material - Property of IBM Corporation.
#
# This script for UNIX/linux  sets the environment for using
# Tivoli Software Distribution disconnected command line as a stand-alone
# tool, with no need of having a TMA installed
#
# Launch it in your session, within the dir where it is located,
# with a preceding dot
#
#########################################################################

set +u

tools_dir=`pwd`

INTERP=linux-s390
export INTERP

if [ "$LD_LIBRARY_PATH" = "" ]
then
   LD_LIBRARY_PATH=$tools_dir/lib
else
   LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$tools_dir/lib
fi
if [ $INTERP != "hpux10" -a  $INTERP != "aix4-r1" ]
then
   LD_LIBRARY_PATH=$tools_dir/convcat:$LD_LIBRARY_PATH
fi
export  LD_LIBRARY_PATH

if [ "$SPEDITOR_LIB_PATH" = "" ]
then
   SPEDITOR_LIB_PATH=$tools_dir/lib
fi
export  SPEDITOR_LIB_PATH

if [ "$LIBPATH" = "" ]
then
   LIBPATH=$tools_dir/lib
else
   LIBPATH=$LIBPATH:$tools_dir/lib
fi
if [ $INTERP = "aix4-r1" ]
then
   LIBPATH=$tools_dir/convcat:$LIBPATH
fi
export  LIBPATH

if [ "$SHLIB_PATH" = "" ]
then
   SHLIB_PATH=$tools_dir/lib
else
   SHLIB_PATH=$SHLIB_PATH:$tools_dir/lib
fi
if [ $INTERP = "hpux10" ]
then
   SHLIB_PATH=$tools_dir/convcat:$SHLIB_PATH
fi
export  SHLIB_PATH

PATH=$PATH:$tools_dir/bin
export PATH

if [ "$NLSPATH" = "" ]
then
   NLSPATH=$tools_dir/msg_cat/C/spcatalog.cat
else
   NLSPATH=$NLSPATH:$tools_dir/msg_cat/C/spcatalog.cat
fi
export NLSPATH
